Package org.apache.avro.idl

# Class IdlReader

java.lang.Object
org.apache.avro.idl.IdlReader

public class IdlReader extends Object

## Constructor Summary

Constructors
Constructor
Description
`IdlReader()`
`IdlReader(org.apache.avro.ParseContext parseContext)`

## Method Summary

Modifier and Type
Method
Description
`IdlFile`
`parse(InputStream stream)`
Parse an IDL file from a stream.
`IdlFile`
`parse(URI directory, CharSequence source)`
Parse an IDL file from a string, using the given directory for imports.
`IdlFile`
`parse(Path location)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IdlReader

public IdlReader()

### IdlReader

public IdlReader(org.apache.avro.ParseContext parseContext)

## Method Details

### parse

public IdlFile parse(Path location) throws IOException

Throws:
  `IOException`

### parse

public IdlFile parse(URI directory, CharSequence source) throws IOException
Parse an IDL file from a string, using the given directory for imports.

Throws:
  `IOException`

### parse

public IdlFile parse(InputStream stream) throws IOException
Parse an IDL file from a stream. This method cannot handle imports.

Throws:
  `IOException`